Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application
Class MetaData

    java.lang.Object
      com.bea.netuix.servlets.controls.application.MetaData

    public class MetaData

extends Object

Metadata is used to describe or annotate a particular Desktop, Page, Book or Portlet. Adding meta data to an item enables the item to be searched for, based off of matching meta data search criteria. the `name` of the meta data can be one of the built in meta names or the developer may use any random name.

Field Summary
`static String` | `_META_CLASS` Http Request parameter for locating resources, the type of resource (page, portlet, book)
`static String` | `_META_CONTENT` Http Request parameter for locating resources, the content of the meta data match.
`static String` | `_META_NAME` Http Request parameter for locating resources, the name of the meta data match.
`static short` | `ALL` Retrieve items matching all of the supplied meta data.
`static short` | `ANY` Retrieve items matching any of the supplied meta data.
`static String` | `AUTHOR` Built in meta name `author`
`static String` | `ClASSIFICATION` Built in meta name `classification`
`static String` | `KEYWORDS` Built in meta name `keywords>`
`static String` | `TYPE` Built in meta name `type`

Constructor Summary
`MetaData(String name, String[] contents)`
`MetaData(String name, String[] contents, short searchType)`

Method Summary
`String[]` | `getContents()` return the values for this meta object.
`String` | `getName()`
`short` | `getSearchType()`
`void` | `setContents(String[] contents)` Set the values for this meta object.
`void` | `setName(String name)`
`void` | `setSearchType(short searchType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY

    public static final short ANY

  Retrieve items matching any of the supplied meta data.

  See Also
    Constants Summary

### ALL

    public static final short ALL

  Retrieve items matching all of the supplied meta data.

  See Also
    Constants Summary

### KEYWORDS

    public static final String KEYWORDS

  Built in meta name `keywords>`

  See Also
    Constants Summary

### AUTHOR

    public static final String AUTHOR

  Built in meta name `author`

  See Also
    Constants Summary

### ClASSIFICATION

    public static final String ClASSIFICATION

  Built in meta name `classification`

  See Also
    Constants Summary

### TYPE

    public static final String TYPE

  Built in meta name `type`

  See Also
    Constants Summary

### _META_NAME

    public static final String _META_NAME

  Http Request parameter for locating resources, the name of the meta data match.

  See Also
    Constants Summary

### _META_CONTENT

    public static final String _META_CONTENT

  Http Request parameter for locating resources, the content of the meta data match.

  See Also
    Constants Summary

### _META_CLASS

    public static final String _META_CLASS

  Http Request parameter for locating resources, the type of resource (page, portlet, book)

  See Also
    Constants Summary

Constructor Detail

### MetaData

    public MetaData(String name,
                    String[] contents)

### MetaData

    public MetaData(String name,
                    String[] contents,
                    short searchType)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### setContents

    public void setContents(String[] contents)

  Set the values for this meta object.

### getContents

    public String[] getContents()

  return the values for this meta object.

### getSearchType

    public short getSearchType()

  Returns
    either ANY or ALL

### setSearchType

    public void setSearchType(short searchType)

  Parameters
    `searchType` - should be either ANY or ALL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved